/*
 * cal-setup.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include "cal-setup.h"
#include "cal-config.h"

cCalSetup::cCalSetup(void) {
  useCuttingPrefix   = calConfig.useCuttingPrefix;
  adjustStartingTime = calConfig.adjustStartingTime;

  Add(new cMenuEditBoolItem(tr("Use cut-sign (%)"),     &useCuttingPrefix));
  Add(new cMenuEditBoolItem(tr("Adjust starting time"), &adjustStartingTime));
}

void cCalSetup::Store(void) {
  SetupStore("useCuttingPrefix",   calConfig.useCuttingPrefix   = useCuttingPrefix);
  SetupStore("adjustStartingTime", calConfig.adjustStartingTime = adjustStartingTime);
}
